Bug 978954 - DOC: man page: no info what NAME means
DOC: man page: no info what NAME means
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd (Show other bugs)
7.0
Unspecified Unspecified
high Severity medium
: beta
: ---
Assigned To: Václav Pavlín
Branislav Blaškovič
: Reopened
Depends On:
Blocks: 959971
  Show dependency treegraph
 
Reported: 2013-06-27 07:21 EDT by Petr Sklenar
Modified: 2014-06-17 20:35 EDT (History)
6 users (show)

See Also:
Fixed In Version: systemd-207-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:44:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2013-06-27 07:21:27 EDT
Description of problem:
man page: no info what NAME means

Version-Release number of selected component (if applicable):
systemd 204

How reproducible:
always

Steps to Reproduce:
1. systemctl [OPTIONS...] COMMAND [NAME...]
2. there is no explanation what NAME means

Actual results:
no explanation what NAME means

Expected results:
* what NAME means
* not obvious that you need '.service' in the comand
* not obvious that you need '=' in '--unit=NetworkManager.service', a space should work as well

Additional info:
Comment 3 Lukáš Nykrýn 2013-07-23 10:56:01 EDT
I think that this is sufficiently explained later in commands section, for example:

       start NAME...
           Start (activate) one or more units specified on the command line.

From above statement it is obvious that NAME corresponds to unit name.
Comment 4 Matthew Miller 2013-07-23 11:36:22 EDT
I think it would be helpful and not terribly burdensome to add a short explanation of usage to the top of the man page, in the DESCRIPTION section, which is currently very terse.
Comment 6 Branislav Blaškovič 2013-11-20 06:28:52 EST
# man systemctl

I can see this in Description section (as mentioned in comment #4):

       For Unit Commands the NAME represents full name of unit.

           systemctl start foo.service

       For Unit File Commands the NAME represents full name of the unit file, or absolute path to the unit file.

           systemctl start /path/to/foo.service


Just one thing:
As far as I know: There should not be comma ',' before 'or' in english. :)
Comment 7 Branislav Blaškovič 2013-11-20 06:29:50 EST
Additional information for comment #6:

It was tested with systemd-207-8.el7.x86_64.
Comment 8 Ludek Smid 2014-06-13 05:44:56 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.